﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Namespace LightSwitchApplication.Implementation
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Public Class ApplicationDataDataService
        Inherits Global.Microsoft.LightSwitch.ServerGenerated.Implementation.DataService(Of Global.ApplicationData.Implementation.ApplicationDataObjectContext)
    
        Public Sub New()
            MyBase.New()
        End Sub
    
        Protected Overrides Function CreateDataService() As Global.Microsoft.LightSwitch.IDataService
            Return New Global.LightSwitchApplication.DataWorkspace().ApplicationData
        End Function
    
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Public Class ApplicationDataServiceImplementation
        Inherits Global.Microsoft.LightSwitch.ServerGenerated.Implementation.DataServiceImplementation(Of Global.ApplicationData.Implementation.ApplicationDataObjectContext)
    
        Public Sub New(ByVal dataService As Global.Microsoft.LightSwitch.IDataService)
            MyBase.New(dataService)
        End Sub
    
    #Region "Queries"
        Public Function BulkPay(ByVal FilterTerm As String) As Global.System.Linq.IQueryable(Of Global.ApplicationData.Implementation.InvoiceHeader)
            Dim query As Global.System.Linq.IQueryable(Of Global.ApplicationData.Implementation.InvoiceHeader)
            query = Me.GetQuery(Of Global.ApplicationData.Implementation.InvoiceHeader)("InvoiceHeaders")
            Return query
        End Function
    
        Public Function SaleOrderBulkPay(ByVal FilterTerm As String) As Global.System.Linq.IQueryable(Of Global.ApplicationData.Implementation.SalesOrderHeader)
            Dim query As Global.System.Linq.IQueryable(Of Global.ApplicationData.Implementation.SalesOrderHeader)
            query = Me.GetQuery(Of Global.ApplicationData.Implementation.SalesOrderHeader)("SalesOrderHeaders")
            Return query
        End Function
    
        Public Function InventoryAudit(ByVal FilterTerm As String) As Global.System.Linq.IQueryable(Of Global.ApplicationData.Implementation.InventoryHeader)
            Dim query As Global.System.Linq.IQueryable(Of Global.ApplicationData.Implementation.InventoryHeader)
            query = Me.GetQuery(Of Global.ApplicationData.Implementation.InventoryHeader)("InventoryHeaders")
            Return query
        End Function
    
    #End Region

    #Region "Protected methods"
        Protected Overrides Function CreateObject(ByVal type As Global.System.Type) As Object
            If (type Is GetType(Global.ApplicationData.Implementation.Customer)) Then
                Return New Global.ApplicationData.Implementation.Customer
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.Supplier)) Then
                Return New Global.ApplicationData.Implementation.Supplier
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.Product)) Then
                Return New Global.ApplicationData.Implementation.Product
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.InvoiceHeader)) Then
                Return New Global.ApplicationData.Implementation.InvoiceHeader
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.Employee)) Then
                Return New Global.ApplicationData.Implementation.Employee
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.SalesOrderDetail)) Then
                Return New Global.ApplicationData.Implementation.SalesOrderDetail
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.SalesOrderHeader)) Then
                Return New Global.ApplicationData.Implementation.SalesOrderHeader
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.Tax)) Then
                Return New Global.ApplicationData.Implementation.Tax
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.ExpenseHeader)) Then
                Return New Global.ApplicationData.Implementation.ExpenseHeader
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.InvoiceDetail)) Then
                Return New Global.ApplicationData.Implementation.InvoiceDetail
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.ExpenseDetail)) Then
                Return New Global.ApplicationData.Implementation.ExpenseDetail
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.InventoryHeader)) Then
                Return New Global.ApplicationData.Implementation.InventoryHeader
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.InventoryDetail)) Then
                Return New Global.ApplicationData.Implementation.InventoryDetail
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.DailyAccount)) Then
                Return New Global.ApplicationData.Implementation.DailyAccount
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.InvoicePayment)) Then
                Return New Global.ApplicationData.Implementation.InvoicePayment
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.StoreDetail)) Then
                Return New Global.ApplicationData.Implementation.StoreDetail
            End If
            If (type Is GetType(Global.ApplicationData.Implementation.OrderPayment)) Then
                Return New Global.ApplicationData.Implementation.OrderPayment
            End If
    
            Return MyBase.CreateObject(type)
        End Function
    
        Protected Overrides Function CreateObjectContext() As Global.ApplicationData.Implementation.ApplicationDataObjectContext
            Dim assemblyName As String = Global.System.Reflection.Assembly.GetExecutingAssembly().GetName().Name
            Return New Global.ApplicationData.Implementation.ApplicationDataObjectContext(MyBase.GetEntityConnectionString( _
                "_IntrinsicData", _
                "res://" + assemblyName + "/ApplicationData.csdl|res://" + assemblyName + "/ApplicationData.ssdl|res://" + assemblyName + "/ApplicationData.msl", _
                "System.Data.SqlClient"))
        End Function
    
        Protected Overrides Function CreateEntityImplementation(Of T As Global.Microsoft.LightSwitch.IEntityObject)() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.Customer)) Then
                Return New Global.ApplicationData.Implementation.Customer()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.Supplier)) Then
                Return New Global.ApplicationData.Implementation.Supplier()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.Product)) Then
                Return New Global.ApplicationData.Implementation.Product()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.InvoiceHeader)) Then
                Return New Global.ApplicationData.Implementation.InvoiceHeader()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.Employee)) Then
                Return New Global.ApplicationData.Implementation.Employee()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.SalesOrderDetail)) Then
                Return New Global.ApplicationData.Implementation.SalesOrderDetail()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.SalesOrderHeader)) Then
                Return New Global.ApplicationData.Implementation.SalesOrderHeader()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.Tax)) Then
                Return New Global.ApplicationData.Implementation.Tax()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.ExpenseHeader)) Then
                Return New Global.ApplicationData.Implementation.ExpenseHeader()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.InvoiceDetail)) Then
                Return New Global.ApplicationData.Implementation.InvoiceDetail()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.ExpenseDetail)) Then
                Return New Global.ApplicationData.Implementation.ExpenseDetail()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.InventoryHeader)) Then
                Return New Global.ApplicationData.Implementation.InventoryHeader()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.InventoryDetail)) Then
                Return New Global.ApplicationData.Implementation.InventoryDetail()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.DailyAccount)) Then
                Return New Global.ApplicationData.Implementation.DailyAccount()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.InvoicePayment)) Then
                Return New Global.ApplicationData.Implementation.InvoicePayment()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.StoreDetail)) Then
                Return New Global.ApplicationData.Implementation.StoreDetail()
            End If
            If GetType(T).Equals(GetType(Global.LightSwitchApplication.OrderPayment)) Then
                Return New Global.ApplicationData.Implementation.OrderPayment()
            End If
            Return Nothing
        End Function
    
    #End Region
    
    End Class
    
    
    #Region "DataServiceImplementationFactory"
    <Global.System.ComponentModel.Composition.PartCreationPolicy(Global.System.ComponentModel.Composition.CreationPolicy.Shared)> _
    <Global.System.ComponentModel.Composition.Export(GetType(Global.Microsoft.LightSwitch.Internal.IDataServiceFactory))> _
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Public Class DataServiceFactory
        Inherits Global.Microsoft.LightSwitch.ServerGenerated.Implementation.DataServiceFactory
    
        Protected Overrides Function CreateDataService(ByVal dataServiceType As Global.System.Type) As Global.Microsoft.LightSwitch.IDataService
            If dataServiceType.Equals(GetType(Global.LightSwitchApplication.ApplicationData)) Then
                Return New Global.LightSwitchApplication.ApplicationDataService()
            End If
            Return MyBase.CreateDataService(dataServiceType)
        End Function
    
        Protected Overrides Function CreateDataServiceImplementation(Of TDataService As Global.Microsoft.LightSwitch.IDataService)(ByVal dataService As TDataService) As Global.Microsoft.LightSwitch.Internal.IDataServiceImplementation
            If GetType(TDataService).Equals(GetType(Global.LightSwitchApplication.ApplicationData)) Then
                Return New Global.LightSwitchApplication.Implementation.ApplicationDataServiceImplementation(dataService)
            End If
            Return MyBase.CreateDataServiceImplementation(dataService)
        End Function
    End Class
    #End Region
    
    <Global.System.ComponentModel.Composition.PartCreationPolicy(Global.System.ComponentModel.Composition.CreationPolicy.Shared)> _
    <Global.System.ComponentModel.Composition.Export(GetType(Global.Microsoft.LightSwitch.Internal.ITypeMappingProvider))> _
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Public Class __TypeMapping
        Implements Global.Microsoft.LightSwitch.Internal.ITypeMappingProvider
        Private Function GetImplementationType(ByVal definitionType As Global.System.Type) As Global.System.Type Implements Global.Microsoft.LightSwitch.Internal.ITypeMappingProvider.GetImplementationType
            If GetType(Global.LightSwitchApplication.Customer).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.Customer)
            End If
            If GetType(Global.LightSwitchApplication.Supplier).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.Supplier)
            End If
            If GetType(Global.LightSwitchApplication.Product).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.Product)
            End If
            If GetType(Global.LightSwitchApplication.InvoiceHeader).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.InvoiceHeader)
            End If
            If GetType(Global.LightSwitchApplication.Employee).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.Employee)
            End If
            If GetType(Global.LightSwitchApplication.SalesOrderDetail).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.SalesOrderDetail)
            End If
            If GetType(Global.LightSwitchApplication.SalesOrderHeader).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.SalesOrderHeader)
            End If
            If GetType(Global.LightSwitchApplication.Tax).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.Tax)
            End If
            If GetType(Global.LightSwitchApplication.ExpenseHeader).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.ExpenseHeader)
            End If
            If GetType(Global.LightSwitchApplication.InvoiceDetail).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.InvoiceDetail)
            End If
            If GetType(Global.LightSwitchApplication.ExpenseDetail).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.ExpenseDetail)
            End If
            If GetType(Global.LightSwitchApplication.InventoryHeader).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.InventoryHeader)
            End If
            If GetType(Global.LightSwitchApplication.InventoryDetail).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.InventoryDetail)
            End If
            If GetType(Global.LightSwitchApplication.DailyAccount).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.DailyAccount)
            End If
            If GetType(Global.LightSwitchApplication.InvoicePayment).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.InvoicePayment)
            End If
            If GetType(Global.LightSwitchApplication.StoreDetail).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.StoreDetail)
            End If
            If GetType(Global.LightSwitchApplication.OrderPayment).Equals(definitionType)
                Return GetType(Global.ApplicationData.Implementation.OrderPayment)
            End If
            Return Nothing
        End Function
    End Class
End Namespace

Namespace ApplicationData.Implementation

    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class Customer
        Implements Global.LightSwitchApplication.Customer.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.Customer.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.Customer.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _CustomerNameImplementation() As String Implements Global.LightSwitchApplication.Customer.DetailsClass.IImplementation.CustomerName
            Get
                Return Me.CustomerName
            End Get
            Set(ByVal value As String)
                Me.CustomerName = value
            End Set
        End Property
        
        Private Property _EmailImplementation() As String Implements Global.LightSwitchApplication.Customer.DetailsClass.IImplementation.Email
            Get
                Return Me.Email
            End Get
            Set(ByVal value As String)
                Me.Email = value
            End Set
        End Property
        
        Private Property _PhoneImplementation() As String Implements Global.LightSwitchApplication.Customer.DetailsClass.IImplementation.Phone
            Get
                Return Me.Phone
            End Get
            Set(ByVal value As String)
                Me.Phone = value
            End Set
        End Property
        
        Private Property _ContactPersonImplementation() As String Implements Global.LightSwitchApplication.Customer.DetailsClass.IImplementation.ContactPerson
            Get
                Return Me.ContactPerson
            End Get
            Set(ByVal value As String)
                Me.ContactPerson = value
            End Set
        End Property
        
        Private ReadOnly Property _SalesOrderHeadersImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.Customer.DetailsClass.IImplementation.SalesOrderHeaders
            Get
                Return Me.SalesOrderHeaders
            End Get
        End Property
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class Supplier
        Implements Global.LightSwitchApplication.Supplier.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.Supplier.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.Supplier.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _SupplierNameImplementation() As String Implements Global.LightSwitchApplication.Supplier.DetailsClass.IImplementation.SupplierName
            Get
                Return Me.SupplierName
            End Get
            Set(ByVal value As String)
                Me.SupplierName = value
            End Set
        End Property
        
        Private Property _EmailImplementation() As String Implements Global.LightSwitchApplication.Supplier.DetailsClass.IImplementation.Email
            Get
                Return Me.Email
            End Get
            Set(ByVal value As String)
                Me.Email = value
            End Set
        End Property
        
        Private Property _PhoneImplementation() As String Implements Global.LightSwitchApplication.Supplier.DetailsClass.IImplementation.Phone
            Get
                Return Me.Phone
            End Get
            Set(ByVal value As String)
                Me.Phone = value
            End Set
        End Property
        
        Private Property _ContactPersonImplementation() As String Implements Global.LightSwitchApplication.Supplier.DetailsClass.IImplementation.ContactPerson
            Get
                Return Me.ContactPerson
            End Get
            Set(ByVal value As String)
                Me.ContactPerson = value
            End Set
        End Property
        
        Private ReadOnly Property _InvoiceHeaderImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.Supplier.DetailsClass.IImplementation.InvoiceHeader
            Get
                Return Me.InvoiceHeader
            End Get
        End Property
        
        Private ReadOnly Property _InventoryDetailsImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.Supplier.DetailsClass.IImplementation.InventoryDetails
            Get
                Return Me.InventoryDetails
            End Get
        End Property
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class Product
        Implements Global.LightSwitchApplication.Product.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.Product.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.Product.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _ProductNameImplementation() As String Implements Global.LightSwitchApplication.Product.DetailsClass.IImplementation.ProductName
            Get
                Return Me.ProductName
            End Get
            Set(ByVal value As String)
                Me.ProductName = value
            End Set
        End Property
        
        Private Property _PriceImplementation() As Decimal Implements Global.LightSwitchApplication.Product.DetailsClass.IImplementation.Price
            Get
                Return Me.Price
            End Get
            Set(ByVal value As Decimal)
                Me.Price = value
            End Set
        End Property
        
        Private Property _TaxImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.Product.DetailsClass.IImplementation.Tax
            Get
                Return Me.Tax
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.Tax = DirectCast(value, Global.ApplicationData.Implementation.Tax)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("Tax")
                End If
            End Set
        End Property
        
        Private ReadOnly Property _InventoryHeadersImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.Product.DetailsClass.IImplementation.InventoryHeaders
            Get
                Return Me.InventoryHeaders
            End Get
        End Property
        
        Private ReadOnly Property _InvoiceDetailsImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.Product.DetailsClass.IImplementation.InvoiceDetails
            Get
                Return Me.InvoiceDetails
            End Get
        End Property
        
        Private ReadOnly Property _SalesOrderDetailsImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.Product.DetailsClass.IImplementation.SalesOrderDetails
            Get
                Return Me.SalesOrderDetails
            End Get
        End Property
        
        Private Sub OnProduct_TaxChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("Tax")
            End If
        End Sub
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class InvoiceHeader
        Implements Global.LightSwitchApplication.InvoiceHeader.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.InvoiceHeader.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.InvoiceHeader.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _InvoiceNumberImplementation() As String Implements Global.LightSwitchApplication.InvoiceHeader.DetailsClass.IImplementation.InvoiceNumber
            Get
                Return Me.InvoiceNumber
            End Get
            Set(ByVal value As String)
                Me.InvoiceNumber = value
            End Set
        End Property
        
        Private Property _InvoiceDateImplementation() As Date Implements Global.LightSwitchApplication.InvoiceHeader.DetailsClass.IImplementation.InvoiceDate
            Get
                Return Me.InvoiceDate
            End Get
            Set(ByVal value As Date)
                Me.InvoiceDate = value
            End Set
        End Property
        
        Private Property _SupplierImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.InvoiceHeader.DetailsClass.IImplementation.Supplier
            Get
                Return Me.Supplier
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.Supplier = DirectCast(value, Global.ApplicationData.Implementation.Supplier)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("Supplier")
                End If
            End Set
        End Property
        
        Private ReadOnly Property _InvoiceDetailsImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.InvoiceHeader.DetailsClass.IImplementation.InvoiceDetails
            Get
                Return Me.InvoiceDetails
            End Get
        End Property
        
        Private ReadOnly Property _InvoicePaymentsImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.InvoiceHeader.DetailsClass.IImplementation.InvoicePayments
            Get
                Return Me.InvoicePayments
            End Get
        End Property
        
        Private Sub OnInvoice_SupplierChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("Supplier")
            End If
        End Sub
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class Employee
        Implements Global.LightSwitchApplication.Employee.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.Employee.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.Employee.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _EmployeeNameImplementation() As String Implements Global.LightSwitchApplication.Employee.DetailsClass.IImplementation.EmployeeName
            Get
                Return Me.EmployeeName
            End Get
            Set(ByVal value As String)
                Me.EmployeeName = value
            End Set
        End Property
        
        Private Property _IdNumberImplementation() As String Implements Global.LightSwitchApplication.Employee.DetailsClass.IImplementation.IdNumber
            Get
                Return Me.IdNumber
            End Get
            Set(ByVal value As String)
                Me.IdNumber = value
            End Set
        End Property
        
        Private Property _PhoneImplementation() As String Implements Global.LightSwitchApplication.Employee.DetailsClass.IImplementation.Phone
            Get
                Return Me.Phone
            End Get
            Set(ByVal value As String)
                Me.Phone = value
            End Set
        End Property
        
        Private Property _ContactPersonImplementation() As String Implements Global.LightSwitchApplication.Employee.DetailsClass.IImplementation.ContactPerson
            Get
                Return Me.ContactPerson
            End Get
            Set(ByVal value As String)
                Me.ContactPerson = value
            End Set
        End Property
        
        Private Property _ContactPhoneImplementation() As String Implements Global.LightSwitchApplication.Employee.DetailsClass.IImplementation.ContactPhone
            Get
                Return Me.ContactPhone
            End Get
            Set(ByVal value As String)
                Me.ContactPhone = value
            End Set
        End Property
        
        Private Property _UserNameImplementation() As String Implements Global.LightSwitchApplication.Employee.DetailsClass.IImplementation.UserName
            Get
                Return Me.UserName
            End Get
            Set(ByVal value As String)
                Me.UserName = value
            End Set
        End Property
        
        Private ReadOnly Property _SalesOrderHeadersImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.Employee.DetailsClass.IImplementation.SalesOrderHeaders
            Get
                Return Me.SalesOrderHeaders
            End Get
        End Property
        
        Private Property _StoreDetailImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.Employee.DetailsClass.IImplementation.StoreDetail
            Get
                Return Me.StoreDetail
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.StoreDetail = DirectCast(value, Global.ApplicationData.Implementation.StoreDetail)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("StoreDetail")
                End If
            End Set
        End Property
        
        Private Sub OnEmployee_StoreDetailChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("StoreDetail")
            End If
        End Sub
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class SalesOrderDetail
        Implements Global.LightSwitchApplication.SalesOrderDetail.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.SalesOrderDetail.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.SalesOrderDetail.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _PriceImplementation() As Decimal Implements Global.LightSwitchApplication.SalesOrderDetail.DetailsClass.IImplementation.Price
            Get
                Return Me.Price
            End Get
            Set(ByVal value As Decimal)
                Me.Price = value
            End Set
        End Property
        
        Private Property _QuantityImplementation() As Decimal Implements Global.LightSwitchApplication.SalesOrderDetail.DetailsClass.IImplementation.Quantity
            Get
                Return Me.Quantity
            End Get
            Set(ByVal value As Decimal)
                Me.Quantity = value
            End Set
        End Property
        
        Private Property _ProductNameImplementation() As String Implements Global.LightSwitchApplication.SalesOrderDetail.DetailsClass.IImplementation.ProductName
            Get
                Return Me.ProductName
            End Get
            Set(ByVal value As String)
                Me.ProductName = value
            End Set
        End Property
        
        Private Property _ProductImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.SalesOrderDetail.DetailsClass.IImplementation.Product
            Get
                Return Me.Product
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.Product = DirectCast(value, Global.ApplicationData.Implementation.Product)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("Product")
                End If
            End Set
        End Property
        
        Private Property _SalesOrderHeaderImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.SalesOrderDetail.DetailsClass.IImplementation.SalesOrderHeader
            Get
                Return Me.SalesOrderHeader
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.SalesOrderHeader = DirectCast(value, Global.ApplicationData.Implementation.SalesOrderHeader)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("SalesOrderHeader")
                End If
            End Set
        End Property
        
        Private Sub OnSalesOrderDetail_ProductChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("Product")
            End If
        End Sub
        
        Private Sub OnSalesOrderDetail_SalesOrderHeaderChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("SalesOrderHeader")
            End If
        End Sub
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class SalesOrderHeader
        Implements Global.LightSwitchApplication.SalesOrderHeader.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.SalesOrderHeader.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.SalesOrderHeader.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _OrderDateImplementation() As Date Implements Global.LightSwitchApplication.SalesOrderHeader.DetailsClass.IImplementation.OrderDate
            Get
                Return Me.OrderDate
            End Get
            Set(ByVal value As Date)
                Me.OrderDate = value
            End Set
        End Property
        
        Private Property _AmountPaidImplementation() As Decimal Implements Global.LightSwitchApplication.SalesOrderHeader.DetailsClass.IImplementation.AmountPaid
            Get
                Return Me.AmountPaid
            End Get
            Set(ByVal value As Decimal)
                Me.AmountPaid = value
            End Set
        End Property
        
        Private Property _CustomerImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.SalesOrderHeader.DetailsClass.IImplementation.Customer
            Get
                Return Me.Customer
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.Customer = DirectCast(value, Global.ApplicationData.Implementation.Customer)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("Customer")
                End If
            End Set
        End Property
        
        Private Property _EmployeeImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.SalesOrderHeader.DetailsClass.IImplementation.Employee
            Get
                Return Me.Employee
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.Employee = DirectCast(value, Global.ApplicationData.Implementation.Employee)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("Employee")
                End If
            End Set
        End Property
        
        Private ReadOnly Property _SalesOrderDetailsImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.SalesOrderHeader.DetailsClass.IImplementation.SalesOrderDetails
            Get
                Return Me.SalesOrderDetails
            End Get
        End Property
        
        Private ReadOnly Property _OrderPaymentsImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.SalesOrderHeader.DetailsClass.IImplementation.OrderPayments
            Get
                Return Me.OrderPayments
            End Get
        End Property
        
        Private Sub OnSalesOrderHeader_CustomerChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("Customer")
            End If
        End Sub
        
        Private Sub OnSalesOrderHeader_EmployeeChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("Employee")
            End If
        End Sub
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class Tax
        Implements Global.LightSwitchApplication.Tax.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.Tax.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.Tax.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _TaxNameImplementation() As String Implements Global.LightSwitchApplication.Tax.DetailsClass.IImplementation.TaxName
            Get
                Return Me.TaxName
            End Get
            Set(ByVal value As String)
                Me.TaxName = value
            End Set
        End Property
        
        Private Property _AmountImplementation() As Decimal Implements Global.LightSwitchApplication.Tax.DetailsClass.IImplementation.Amount
            Get
                Return Me.Amount
            End Get
            Set(ByVal value As Decimal)
                Me.Amount = value
            End Set
        End Property
        
        Private ReadOnly Property _ProductsImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.Tax.DetailsClass.IImplementation.Products
            Get
                Return Me.Products
            End Get
        End Property
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class ExpenseHeader
        Implements Global.LightSwitchApplication.ExpenseHeader.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.ExpenseHeader.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.ExpenseHeader.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _ExpeditureDateImplementation() As Date Implements Global.LightSwitchApplication.ExpenseHeader.DetailsClass.IImplementation.ExpeditureDate
            Get
                Return Me.ExpeditureDate
            End Get
            Set(ByVal value As Date)
                Me.ExpeditureDate = value
            End Set
        End Property
        
        Private ReadOnly Property _ExpenseDetailsImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.ExpenseHeader.DetailsClass.IImplementation.ExpenseDetails
            Get
                Return Me.ExpenseDetails
            End Get
        End Property
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class InvoiceDetail
        Implements Global.LightSwitchApplication.InvoiceDetail.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.InvoiceDetail.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.InvoiceDetail.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _QuantityImplementation() As Integer Implements Global.LightSwitchApplication.InvoiceDetail.DetailsClass.IImplementation.Quantity
            Get
                Return Me.Quantity
            End Get
            Set(ByVal value As Integer)
                Me.Quantity = value
            End Set
        End Property
        
        Private Property _PackQtyImplementation() As Decimal Implements Global.LightSwitchApplication.InvoiceDetail.DetailsClass.IImplementation.PackQty
            Get
                Return Me.PackQty
            End Get
            Set(ByVal value As Decimal)
                Me.PackQty = value
            End Set
        End Property
        
        Private Property _PriceImplementation() As Decimal Implements Global.LightSwitchApplication.InvoiceDetail.DetailsClass.IImplementation.Price
            Get
                Return Me.Price
            End Get
            Set(ByVal value As Decimal)
                Me.Price = value
            End Set
        End Property
        
        Private Property _DiscountImplementation() As Decimal Implements Global.LightSwitchApplication.InvoiceDetail.DetailsClass.IImplementation.Discount
            Get
                Return Me.Discount
            End Get
            Set(ByVal value As Decimal)
                Me.Discount = value
            End Set
        End Property
        
        Private Property _InvoiceHeaderImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.InvoiceDetail.DetailsClass.IImplementation.InvoiceHeader
            Get
                Return Me.InvoiceHeader
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.InvoiceHeader = DirectCast(value, Global.ApplicationData.Implementation.InvoiceHeader)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("InvoiceHeader")
                End If
            End Set
        End Property
        
        Private Property _ProductImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.InvoiceDetail.DetailsClass.IImplementation.Product
            Get
                Return Me.Product
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.Product = DirectCast(value, Global.ApplicationData.Implementation.Product)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("Product")
                End If
            End Set
        End Property
        
        Private Sub OnInvoiceDetail_InvoiceHeaderChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("InvoiceHeader")
            End If
        End Sub
        
        Private Sub OnInvoiceDetail_ProductChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("Product")
            End If
        End Sub
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class ExpenseDetail
        Implements Global.LightSwitchApplication.ExpenseDetail.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.ExpenseDetail.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.ExpenseDetail.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _ExpenseNameImplementation() As String Implements Global.LightSwitchApplication.ExpenseDetail.DetailsClass.IImplementation.ExpenseName
            Get
                Return Me.ExpenseName
            End Get
            Set(ByVal value As String)
                Me.ExpenseName = value
            End Set
        End Property
        
        Private Property _AmountImplementation() As Decimal Implements Global.LightSwitchApplication.ExpenseDetail.DetailsClass.IImplementation.Amount
            Get
                Return Me.Amount
            End Get
            Set(ByVal value As Decimal)
                Me.Amount = value
            End Set
        End Property
        
        Private Property _ExpenseHeaderImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.ExpenseDetail.DetailsClass.IImplementation.ExpenseHeader
            Get
                Return Me.ExpenseHeader
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.ExpenseHeader = DirectCast(value, Global.ApplicationData.Implementation.ExpenseHeader)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("ExpenseHeader")
                End If
            End Set
        End Property
        
        Private Sub OnExpenseDetail_ExpenseHeaderChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("ExpenseHeader")
            End If
        End Sub
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class InventoryHeader
        Implements Global.LightSwitchApplication.InventoryHeader.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.InventoryHeader.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.InventoryHeader.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _ReOrderLevelImplementation() As Integer Implements Global.LightSwitchApplication.InventoryHeader.DetailsClass.IImplementation.ReOrderLevel
            Get
                Return Me.ReOrderLevel
            End Get
            Set(ByVal value As Integer)
                Me.ReOrderLevel = value
            End Set
        End Property
        
        Private Property _InventoryTotalImplementation() As Double Implements Global.LightSwitchApplication.InventoryHeader.DetailsClass.IImplementation.InventoryTotal
            Get
                Return Me.InventoryTotal
            End Get
            Set(ByVal value As Double)
                Me.InventoryTotal = value
            End Set
        End Property
        
        Private Property _ProductImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.InventoryHeader.DetailsClass.IImplementation.Product
            Get
                Return Me.Product
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.Product = DirectCast(value, Global.ApplicationData.Implementation.Product)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("Product")
                End If
            End Set
        End Property
        
        Private ReadOnly Property _InventoryDetailsImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.InventoryHeader.DetailsClass.IImplementation.InventoryDetails
            Get
                Return Me.InventoryDetails
            End Get
        End Property
        
        Private Sub OnInventoryHeader_ProductChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("Product")
            End If
        End Sub
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class InventoryDetail
        Implements Global.LightSwitchApplication.InventoryDetail.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.InventoryDetail.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.InventoryDetail.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _UnitPriceImplementation() As Decimal Implements Global.LightSwitchApplication.InventoryDetail.DetailsClass.IImplementation.UnitPrice
            Get
                Return Me.UnitPrice
            End Get
            Set(ByVal value As Decimal)
                Me.UnitPrice = value
            End Set
        End Property
        
        Private Property _QuantityImplementation() As Double Implements Global.LightSwitchApplication.InventoryDetail.DetailsClass.IImplementation.Quantity
            Get
                Return Me.Quantity
            End Get
            Set(ByVal value As Double)
                Me.Quantity = value
            End Set
        End Property
        
        Private Property _InventoryHeaderImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.InventoryDetail.DetailsClass.IImplementation.InventoryHeader
            Get
                Return Me.InventoryHeader
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.InventoryHeader = DirectCast(value, Global.ApplicationData.Implementation.InventoryHeader)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("InventoryHeader")
                End If
            End Set
        End Property
        
        Private Property _SupplierImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.InventoryDetail.DetailsClass.IImplementation.Supplier
            Get
                Return Me.Supplier
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.Supplier = DirectCast(value, Global.ApplicationData.Implementation.Supplier)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("Supplier")
                End If
            End Set
        End Property
        
        Private Sub OnInventoryDetail_InventoryHeaderChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("InventoryHeader")
            End If
        End Sub
        
        Private Sub OnInventoryDetail_SupplierChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("Supplier")
            End If
        End Sub
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class DailyAccount
        Implements Global.LightSwitchApplication.DailyAccount.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.DailyAccount.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.DailyAccount.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _AccountDateImplementation() As Date Implements Global.LightSwitchApplication.DailyAccount.DetailsClass.IImplementation.AccountDate
            Get
                Return Me.AccountDate
            End Get
            Set(ByVal value As Date)
                Me.AccountDate = value
            End Set
        End Property
        
        Private Property _BalanceForwardImplementation() As Decimal Implements Global.LightSwitchApplication.DailyAccount.DetailsClass.IImplementation.BalanceForward
            Get
                Return Me.BalanceForward
            End Get
            Set(ByVal value As Decimal)
                Me.BalanceForward = value
            End Set
        End Property
        
        Private Property _DailySalesImplementation() As Decimal Implements Global.LightSwitchApplication.DailyAccount.DetailsClass.IImplementation.DailySales
            Get
                Return Me.DailySales
            End Get
            Set(ByVal value As Decimal)
                Me.DailySales = value
            End Set
        End Property
        
        Private Property _DailyExpeditureImplementation() As Decimal Implements Global.LightSwitchApplication.DailyAccount.DetailsClass.IImplementation.DailyExpediture
            Get
                Return Me.DailyExpediture
            End Get
            Set(ByVal value As Decimal)
                Me.DailyExpediture = value
            End Set
        End Property
        
        Private Property _ChequeBankedImplementation() As Decimal Implements Global.LightSwitchApplication.DailyAccount.DetailsClass.IImplementation.ChequeBanked
            Get
                Return Me.ChequeBanked
            End Get
            Set(ByVal value As Decimal)
                Me.ChequeBanked = value
            End Set
        End Property
        
        Private Property _CashBankedImplementation() As Decimal Implements Global.LightSwitchApplication.DailyAccount.DetailsClass.IImplementation.CashBanked
            Get
                Return Me.CashBanked
            End Get
            Set(ByVal value As Decimal)
                Me.CashBanked = value
            End Set
        End Property
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class InvoicePayment
        Implements Global.LightSwitchApplication.InvoicePayment.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.InvoicePayment.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.InvoicePayment.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _DatePaidImplementation() As Date Implements Global.LightSwitchApplication.InvoicePayment.DetailsClass.IImplementation.DatePaid
            Get
                Return Me.DatePaid
            End Get
            Set(ByVal value As Date)
                Me.DatePaid = value
            End Set
        End Property
        
        Private Property _CashAmountImplementation() As Decimal Implements Global.LightSwitchApplication.InvoicePayment.DetailsClass.IImplementation.CashAmount
            Get
                Return Me.CashAmount
            End Get
            Set(ByVal value As Decimal)
                Me.CashAmount = value
            End Set
        End Property
        
        Private Property _CreditNoteImplementation() As String Implements Global.LightSwitchApplication.InvoicePayment.DetailsClass.IImplementation.CreditNote
            Get
                Return Me.CreditNote
            End Get
            Set(ByVal value As String)
                Me.CreditNote = value
            End Set
        End Property
        
        Private Property _DateOnCreditNoteImplementation() As Global.System.Nullable(Of Date) Implements Global.LightSwitchApplication.InvoicePayment.DetailsClass.IImplementation.DateOnCreditNote
            Get
                Return Me.DateOnCreditNote
            End Get
            Set(ByVal value As Global.System.Nullable(Of Date))
                Me.DateOnCreditNote = value
            End Set
        End Property
        
        Private Property _CreditNoteAmountImplementation() As Global.System.Nullable(Of Decimal) Implements Global.LightSwitchApplication.InvoicePayment.DetailsClass.IImplementation.CreditNoteAmount
            Get
                Return Me.CreditNoteAmount
            End Get
            Set(ByVal value As Global.System.Nullable(Of Decimal))
                Me.CreditNoteAmount = value
            End Set
        End Property
        
        Private Property _InvoiceHeaderImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.InvoicePayment.DetailsClass.IImplementation.InvoiceHeader
            Get
                Return Me.InvoiceHeader
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.InvoiceHeader = DirectCast(value, Global.ApplicationData.Implementation.InvoiceHeader)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("InvoiceHeader")
                End If
            End Set
        End Property
        
        Private Sub OnInvoicePayment_InvoiceHeaderChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("InvoiceHeader")
            End If
        End Sub
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class StoreDetail
        Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _StoreNameImplementation() As String Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.StoreName
            Get
                Return Me.StoreName
            End Get
            Set(ByVal value As String)
                Me.StoreName = value
            End Set
        End Property
        
        Private Property _AddressImplementation() As String Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.Address
            Get
                Return Me.Address
            End Get
            Set(ByVal value As String)
                Me.Address = value
            End Set
        End Property
        
        Private Property _Phone1Implementation() As String Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.Phone1
            Get
                Return Me.Phone1
            End Get
            Set(ByVal value As String)
                Me.Phone1 = value
            End Set
        End Property
        
        Private Property _EmailAddressImplementation() As String Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.EmailAddress
            Get
                Return Me.EmailAddress
            End Get
            Set(ByVal value As String)
                Me.EmailAddress = value
            End Set
        End Property
        
        Private Property _WebAddressImplementation() As String Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.WebAddress
            Get
                Return Me.WebAddress
            End Get
            Set(ByVal value As String)
                Me.WebAddress = value
            End Set
        End Property
        
        Private Property _VATImplementation() As String Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.VAT
            Get
                Return Me.VAT
            End Get
            Set(ByVal value As String)
                Me.VAT = value
            End Set
        End Property
        
        Private Property _PINImplementation() As String Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.PIN
            Get
                Return Me.PIN
            End Get
            Set(ByVal value As String)
                Me.PIN = value
            End Set
        End Property
        
        Private Property _Phone2Implementation() As String Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.Phone2
            Get
                Return Me.Phone2
            End Get
            Set(ByVal value As String)
                Me.Phone2 = value
            End Set
        End Property
        
        Private Property _Phone3Implementation() As String Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.Phone3
            Get
                Return Me.Phone3
            End Get
            Set(ByVal value As String)
                Me.Phone3 = value
            End Set
        End Property
        
        Private ReadOnly Property _EmployeesImplementation() As Global.System.Collections.IEnumerable Implements Global.LightSwitchApplication.StoreDetail.DetailsClass.IImplementation.Employees
            Get
                Return Me.Employees
            End Get
        End Property
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Partial Public Class OrderPayment
        Implements Global.LightSwitchApplication.OrderPayment.DetailsClass.IImplementation

        Private Property _IdImplementation() As Integer Implements Global.LightSwitchApplication.OrderPayment.DetailsClass.IImplementation.Id
            Get
                Return Me.Id
            End Get
            Set(ByVal value As Integer)
                Me.Id = value
            End Set
        End Property
        
        Private Property _RowVersionImplementation() As Byte() Implements Global.LightSwitchApplication.OrderPayment.DetailsClass.IImplementation.RowVersion
            Get
                Return Me.RowVersion
            End Get
            Set(ByVal value As Byte())
                Me.RowVersion = value
            End Set
        End Property
        
        Private Property _PaymentDateImplementation() As Date Implements Global.LightSwitchApplication.OrderPayment.DetailsClass.IImplementation.PaymentDate
            Get
                Return Me.PaymentDate
            End Get
            Set(ByVal value As Date)
                Me.PaymentDate = value
            End Set
        End Property
        
        Private Property _AmountImplementation() As Decimal Implements Global.LightSwitchApplication.OrderPayment.DetailsClass.IImplementation.Amount
            Get
                Return Me.Amount
            End Get
            Set(ByVal value As Decimal)
                Me.Amount = value
            End Set
        End Property
        
        Private Property _SalesOrderHeaderImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementation Implements Global.LightSwitchApplication.OrderPayment.DetailsClass.IImplementation.SalesOrderHeader
            Get
                Return Me.SalesOrderHeader
            End Get
            Set(ByVal value As Global.Microsoft.LightSwitch.Internal.IEntityImplementation)
                Me.SalesOrderHeader = DirectCast(value, Global.ApplicationData.Implementation.SalesOrderHeader)
                If Me.__host IsNot Nothing Then
                    Me.__host.RaisePropertyChanged("SalesOrderHeader")
                End If
            End Set
        End Property
        
        Private Sub OnOrderPayment_SalesOrderHeaderChanged()
            If Me.__host IsNot Nothing Then
                Me.__host.RaisePropertyChanged("SalesOrderHeader")
            End If
        End Sub
        
        #Region "IEntityImplementation Members"
        Private __host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost
        
        Private ReadOnly Property __HostImplementation() As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Host
            Get
                Return Me.__host
            End Get
        End Property
        
        Private Sub _Initialize(ByVal host As Global.Microsoft.LightSwitch.Internal.IEntityImplementationHost) Implements Global.Microsoft.LightSwitch.Internal.IEntityImplementation.Initialize
            Me.__host = host
        End Sub
        
        Protected Overrides Sub OnPropertyChanged(ByVal propertyName As String)
            MyBase.OnPropertyChanged(propertyName)
        
            If Not Me.__host Is Nothing Then
                Me.__host.RaisePropertyChanged(propertyName)
            End If
        End Sub
        #End Region
    End Class
    
End Namespace

